Bug 1032801 - debugging incomplete kickstart files in cmdline mode is hard
debugging incomplete kickstart files in cmdline mode is hard
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: anaconda (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Chris Lumens
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-20 16:17 EST by Chris Lumens
Modified: 2014-06-17 21:44 EDT (History)
1 user (show)

See Also:
Fixed In Version: anaconda-19.31.41-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 08:29:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Lumens 2013-11-20 16:17:48 EST
anaconda will give you the following unhelpful error message:

RuntimeError: Can't have a question in command line mode!

Okay, but what is required to get past this message?  I've got a patch on the list that will print out the names of all the spokes that require information.  That way, the user knows what they're missing.
Comment 2 Jan Stodola 2014-01-30 04:01:48 EST
Retested with anaconda-19.31.51-1.el7 with kickstarts missing:

* rootpw
* packages section
* partitioning

In all cases, anaconda printed what information is missing and rebooted after some timeout.

Moving to VERIFIED.
Comment 3 Ludek Smid 2014-06-13 08:29:07 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.